package com.app.wallpaper.myada;

import android.view.View;
import android.widget.FrameLayout;
import android.widget.ImageView;

import androidx.annotation.NonNull;
import androidx.recyclerview.widget.RecyclerView;

import com.app.wallpaper.R;

public class LoadDataHolder extends RecyclerView.ViewHolder {
    private ImageView img_one;
    private ImageView img_two;
    private FrameLayout frame_layout;
    private FrameLayout frame_layout2;
    public LoadDataHolder(@NonNull View itemView,int viewType) {
        super(itemView);

        if (viewType==com.app.wallpaper.R.layout.rec_item_layout) {
            img_one = itemView.findViewById(R.id.img_one);
            frame_layout=itemView.findViewById(R.id.frame_layout);
        }else {
            img_two = itemView.findViewById(R.id.img_two);
            frame_layout2=itemView.findViewById(R.id.frame_layout2);
        }
    }

    public ImageView getImg_one() {
        return img_one;
    }

    public ImageView getImg_two() {
        return img_two;
    }

    public FrameLayout getFrame_layout() {
        return frame_layout;
    }
    public FrameLayout getFrame_layout2() {
        return frame_layout2;
    }
}
